package com.bpa.scalage.mode.Order;

import java.util.List;

/**
 * 主订单表
 */
public class BPA_Order {
    //唯一ID
    public String id ;
    //创建时间
    public String createdAt ;
    //店铺ID
    public String orgId ;
    //叫号
    public String sortId ;
    //用户ID 微信OpenID
    public String customerId ;
    //订单状态 0未付款,1已付款,-1退单申请,-2退单中,-3已退单,-4取消交易 -5撤销申请
    public int orderStatus ;
    // 用户售后状态 -1 售后已取消 0 未发起售后 1 申请售后  2 处理中 200 处理完毕
    public int afterStatus ;
    //商品数量
    public int orderCount ;
    //商品总价
    public double orderOriginalMoney ;
    //折扣价格
    public double discountMoney ;
    //实际支付价格
    public double orderRealMoney ;
    //支付渠道 0微信 1支付宝 2 余额 3银联
    public int payMode ;
    //订单号（本系统）
    public String orderNumber ;
    //订单号（第三方）
    public String tradeNo ;
    //交易号
    public String transactionId ;
    //订单类型 0->正常 1->立即吃面2->盲盒3->其他
    public int orderType ;
    //三方id  微信小程序 用户ID
    public String troikaId ;
    //备注
    public String remark ;
    //就餐方式
    public int eatType ;
    //优惠合集
    public String priceCollection ;
    public String orderForm ;
    public String preson ;
    //收钱价格
    public String getPrice ;
    //来源程序ID
    public String appId ;
    //子订单集合
    public List<BPA_SubOrder> subOrderList ;
}
