package com.bpa.scalage.Server;

import java.util.Date;
import java.util.List;

public class WeighOrderDto {
    /**
     * 商品信息
     */
    public List<WeighOrderGoodsDto> goodsInfo ;

    /**
     * 餐盘信息
     */
    public List<WeighOrderDiningPlateDto> diningPlateInfo ;

    /**
     * 会员信息
     */
    public MemberInfoDto memberInfo ;


    /**
     * 主键 Guid
     */
    public String id ;

    /**
     * 分组ID
     */
    public String groupId ;

    /**
     * 订单编号
     */
    public String orderNumber;

    /**
     * 订单金额
     */
    public float totalAmount ;

    /**
     * 订单标题
     */
    public String subject ;

    /**
     * 场景id
     */
    public String sceneId ;

    /**
     * 0.选菜中   1.订单完成
     */
    public int states ;

    /**
     * 0.待支付   1.已支付   2.支付失败
     */
    public int payStates ;

    /**
     * 创建时间
     */
    public String createAt ;

    /**
     * 创建人
     */
    public  String createId ;

}
