package com.bpa.scalage.mode.Users;

import java.util.List;

/**
 * 用户类
 */
public class UserModel {
    /// <summary>
    /// 数据库唯一ID
    /// </summary>
    public String id;
    /// <summary>
    /// 微信用户名称
    /// </summary>
    public String nickName;
    /// <summary>
    /// 0=未知   1=男    2=女
    /// </summary>
    public int sex;
    /// <summary>
    /// 头像：地址
    /// </summary>
    public String headImgUrl;
    /// <summary>
    /// 国家
    /// </summary>
    public String country;
    /// <summary>
    /// 省
    /// </summary>
    public String province;
    /// <summary>
    /// 市
    /// </summary>
    public String city;
    /// <summary>
    /// 县（区）
    /// </summary>
    public String county;
    /// <summary>
    /// 具体地址
    /// </summary>
    public String address;
    /// <summary>
    /// 出生日期
    /// </summary>
    public String birthday;
    /// <summary>
    /// 电话
    /// </summary>
    public String phone;
    /// <summary>
    /// 真实姓名
    /// </summary>
    public String realName;
    /// <summary>
    /// 身份证号码
    /// </summary>
    public String cardNum;
    /// <summary>
    /// 等级
    /// </summary>
    public String level_Id;
    /// <summary>
    /// 0：正常 1停用
    /// </summary>
    public int status;
    /// <summary>
    /// 1.微信 2.支付宝
    /// </summary>
    public int platformType;
    /// <summary>
    /// 第三方平台会员ID  -->oPenID 微信唯一id
    /// </summary>
    public String platformMemberId;
    /// <summary>
    /// 基础会员表ID     -->会员表ID
    /// </summary>
    public String memberInfo_Id;
    /// <summary>
    /// 是否删除 0 再用 1删除
    /// </summary>
    public int isDeleted;
    /// <summary>
    /// 创建时间
    /// </summary>
    public String createAt;
    /// <summary>
    /// 删除时间
    /// </summary>
    public String deleteAt;
    /// <summary>
    /// 修改时间
    /// </summary>
    public String updateAt;
    /// <summary>
    /// 店铺ID
    /// </summary>
    public String groupId;

    public List<String> tags;

    public String jobNumber;

    public boolean Isvip;
}
